Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface ServerRequestInterceptorOperations

All Superinterfaces:
  InterceptorOperations

All Known Subinterfaces:
  ServerRequestInterceptor

public interface ServerRequestInterceptorOperations
extends InterceptorOperations

Interface definition : ServerRequestInterceptor

Author:
  OpenORB Compiler

Method Summary
`void` | `receive_request_service_contexts(ServerRequestInfo ri)` Operation receive_request_service_contexts
`void` | `receive_request(ServerRequestInfo ri)` Operation receive_request
`void` | `send_exception(ServerRequestInfo ri)` Operation send_exception
`void` | `send_other(ServerRequestInfo ri)` Operation send_other
`void` | `send_reply(ServerRequestInfo ri)` Operation send_reply

Methods inherited from interface org.omg.PortableInterceptor.InterceptorOperations
`destroy, name`

Method Detail

### receive_request_service_contexts

    public void receive_request_service_contexts(ServerRequestInfo ri)
                                          throws ForwardRequest

  Operation receive_request_service_contexts

### receive_request

    public void receive_request(ServerRequestInfo ri)
                         throws ForwardRequest

  Operation receive_request

### send_reply

    public void send_reply(ServerRequestInfo ri)

  Operation send_reply

### send_exception

    public void send_exception(ServerRequestInfo ri)
                        throws ForwardRequest

  Operation send_exception

### send_other

    public void send_other(ServerRequestInfo ri)
                    throws ForwardRequest

  Operation send_other

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD